TOTP認証

アプリなしで2段階コード:秘密鍵を一度貼り付けるだけで今のコードが読めます。

  • 完全オフライン
  • 鍵は端末内のみ
  • 6・8桁

2段階コード

桁数
更新間隔

QRコードの下の「手動で入力」用の鍵か、otpauth:// リンクを貼り付けてください。鍵がブラウザーの外に出ることはありません。

秘密鍵を貼り付けてコード表示を押してください。

計算方法

鍵と現在の時間ステップをHMAC(SHA-1、SHA-256、SHA-512)で組み合わせ、一部を切り出して6・8桁の数字にします。RFC 6238のTOTP方式で、otpauth:// リンクを入れると桁数・間隔・アルゴリズムが自動で設定されます。端末の時計がおおむね正しい必要があります。

鍵 + 時刻 ÷ 30 → HMAC-SHA1 → 6桁

秘密鍵はどこにありますか?

  • 新しく登録するとき:QRコードのそばの「スキャンできない場合」や「手動で入力」が鍵です。
  • 鍵の中の空白やダッシュは無視され、小文字でも大丈夫です。
  • 鍵をなくしたら:このページでは取り戻せません。そのサイトで2段階認証を登録し直し、新しい鍵を受け取ってください。

活用のヒント

  • ここは予備の表示用にして、鍵はパスワード管理ツールにも保管してください。
  • コードがいつも拒否される場合は、まず端末の時計を確認してください。
  • すべての計算はブラウザーで行われ、どこにもアップロードされません。

計算の基準と出典

  • 時間ベースのワンタイムパスワード(TOTP):RFC 6238、HMACの中核:RFC 4226
  • Base32符号化:RFC 4648

最終確認 2026年10月12日

よくある質問

秘密鍵はどこにありますか?

2段階設定のQRコードのそばに「スキャンできない場合」や「手動で入力」のリンクがあり、その文字列が鍵です。

コードがいつも拒否されるのはなぜ?

ほぼ時計のずれです。TOTPは時刻に依存するため、端末の時刻が数分ずれるだけで誤ったコードになります。まず日時の自動設定を確認してください。

ここに鍵を貼り付けても安全ですか?

このページは完全オフラインで動き、鍵がブラウザの外に出ることはありません。それでもここは予備の表示用にして、鍵はパスワード管理ツールにも保管してください。

鍵をなくしたら?

ここでは取り戻せません。そのサイトで2段階をいったん解除し、登録し直して新しい鍵を受け取ってください。

関連タグ

ほかのツール

結果は参考用です。計算に誤りがある場合があり、法律・医療・金融の助言ではありません。重要な判断の前には必ず関係機関や専門家に確認してください。

検索